--- providers/ogr/qgsogrprovider_org.cpp	2012-08-02 15:00:00 +0900
+++ providers/ogr/qgsogrprovider.cpp	2012-08-02 15:00:00 +0900
@@ -23,8 +23,7 @@
 #include <gdal.h>         // to collect version information
 #include <ogr_api.h>
 #include <ogr_srs_api.h>
-#include <cpl_error.h>
-#include <cpl_conv.h>
+#include <cpl_string.h>
 
 #include <limits>
 
@@ -2041,8 +2040,15 @@
     }
   }
 
+  char **papszOptions = NULL;
+  if ( driverName == "ESRI Shapefile" )
+  {
+    papszOptions = CSLSetNameValue( papszOptions, "ENCODING", "LDID/0" );
+  }
+
   OGRLayerH layer;
-  layer = OGR_DS_CreateLayer( dataSource, TO8F( QFileInfo( uri ).completeBaseName() ), reference, OGRvectortype, NULL );
+  layer = OGR_DS_CreateLayer( dataSource, TO8F( QFileInfo( uri ).completeBaseName() ), reference, OGRvectortype, papszOptions );
+  CSLDestroy( papszOptions );
   if ( !layer )
   {
     QgsMessageLog::logMessage( QObject::tr( "Creation of OGR data source %1 failed: %2" ).arg( uri ).arg( QString::fromUtf8( CPLGetLastErrorMsg() ) ), QObject::tr( "OGR" ) );
